.title {
  &-underline {
    padding: 2rem 0;
    border: 1px solid var(--divider);
    text-align: center;
  }
}

.btn {
  border: 0;
  border-radius: 3px;
  padding: 1rem 2rem;
  font-weight: 700;
  outline: none;
  cursor: pointer;
  transition: box-shadow 0.2s;
  &:hover {
    box-shadow: var(--box-shadow);
    transition: box-shadow 0.2s;
  }
  &-primary {
    border: 1px solid var(--primary);
    background: var(--primary);
    color: white;
  }
  &-secondary {
    border: 1px solid var(--primary);
    background: white;
    color: var(--primary);
  }
  &-danger {
    color: var(--error);
  }
}

.text {
  &-error {
    color: var(--error);
  }
}

.calc {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  .modal {
    background: white;
    padding: 5rem;
    min-width: 30rem;
    border-radius: 0.3rem;
    box-shadow: var(--box-shadow);
    text-align: center;
    p {
      margin: 1rem 0 3rem;
    }
    .btn {
      margin-left: 1rem;
    }
  }
}
